Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/8023/?format=api
{ "ob_id": 8023, "uuid": "c329ca3377e9c14a7619df5a3d24618b", "title": "ARC: Level 3 monthly sea surface temperature data", "abstract": "The AATSR Reprocessing for Climate (ARC) dataset consists of Advanced Along-Track Scanning Radiometer multimission data which has been reprocessed using various algorithms and in-situ contemporaneous measurements, to provide update retrievals of Sea Surface Temperature (SST) and assess their accuracy. \r\n\r\nThis dataset contains Level 3 monthly sea surface temperature data produced in ARC project.\r\n\r\nThe main ARC objective was to reduce regional biases in retrieved sea surface temperature (SST) to less than 0.1 K for all global oceans while creating a very homogeneous record with a stability (lack of drift in the observing system and analysis) of 0.05 K decade.", "keywords": "ARC, Sea Surface Temperature", "publicationState": "published", "dataPublishedTime": "2013-04-19T14:31:22", "doiPublishedTime": null, "updateFrequency": "asNeeded", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/8024/?format=api", "dataPath": "/neodc/arc/data/l3_monthly", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 140872864, "numberOfFiles": 4, "fileFormat": "Data are netCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/5072/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50416/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50559/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50561/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52548/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52549/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52550/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52551/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52552/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/92253/?format=api" ], "dataLineage": "ARC data was derived from the aatsr_multimission dataset held at the NEODC. ARC also uses UKMO Buoy data to provide ground calibration data (GHRSST). Data was supplied to the NEODC by Owen Embury at the University of Edinburgh.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5215/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/8001/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7998/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30127/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32762/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32767/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32761/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32764/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32765/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32766/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32768/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32763/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/8022/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" }, { "ob_id": 1141, "name": "NDGO0001" } ] }